Bug 313271 - (perl-Net-IRC) Review Request: perl-Net-IRC - Perl interface to the Internet Relay Chat protocol
Review Request: perl-Net-IRC - Perl interface to the Internet Relay Chat prot...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 15:20 EDT by Christopher Stone
Modified: 2008-05-30 15:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 22:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-09-30 15:20:18 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/perl-Net-IRC.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/perl-Net-IRC-0.75-1.fc7.src.rpm

Description:
Perl implementation of the IRC protocol (RFC 1459).
Comment 1 Parag AN(पराग) 2007-09-30 21:23:10 EDT
picking this for review.
Comment 2 Parag AN(पराग) 2007-09-30 21:40:17 EDT
you can install irctest and t under %doc. 
That additionally needs you to "chmod 644 irctest" in %prep section.
Comment 3 Christopher Stone 2007-10-01 18:52:47 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/perl-Net-IRC.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/perl-Net-IRC-0.75-2.fc7.src.rpm

%changelog
* Mon Oct 01 2007 Christopher Stone <chris.stone@gmail.com> 0.75-2
- Add irctest and t/ to %%doc
Comment 4 Parag AN(पराग) 2007-10-01 22:02:20 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
57587a48ddece7a995c6b138003ee798  Net-IRC-0.75.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01_minimal....ok
All tests successful.
Files=1, Tests=3,  0 wallclock secs ( 0.08 cusr +  0.01 csys =  0.09 CPU)
+ exit 0
+ Package perl-Net-IRC-0.75-2.fc8 -> 
  Provides: perl(Net::IRC) = 0.75 perl(Net::IRC::Connection) perl(Net::IRC::DCC)
perl(Net::IRC::DCC::Accept) perl(Net::IRC::DCC::CHAT)
perl(Net::IRC::DCC::Connection) perl(Net::IRC::DCC::GET)
perl(Net::IRC::DCC::SEND) perl(Net::IRC::Event) perl(Net::IRC::EventQueue)
perl(Net::IRC::EventQueue::Entry) 
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(IO::File)
perl(IO::Select) perl(IO::Socket) perl(IO::Socket::INET)
perl(Net::IRC::Connection) perl(Net::IRC::DCC) perl(Net::IRC::Event)
perl(Net::IRC::EventQueue) perl(Net::IRC::EventQueue::Entry) perl(Socket)
perl(Symbol) perl(strict) perl(subs) perl(vars) perl(warnings)

APPROVED.
Comment 5 Christopher Stone 2007-10-03 10:00:45 EDT
New Package CVS Request
=======================
Package Name: perl-Net-IRC
Short Description: Perl interface to the Internet Relay Chat protocol
Owners: xulchris
Branches: FC-6 F-7
InitialCC:
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-10-03 22:42:46 EDT
cvs done.
Comment 7 Christopher Stone 2007-10-04 22:23:22 EDT
Pushed to all branches.  Thanks for the review! :)
Comment 8 Christopher Stone 2008-05-29 13:04:49 EDT
Package Change Request
======================
Package Name: perl-Net-IRC
New Branches: EL-5
Comment 9 Kevin Fenzi 2008-05-30 15:22:55 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.